summaryrefslogtreecommitdiffstats
path: root/network/trojita
diff options
context:
space:
mode:
author Chris Farrell <timcowchip@gmail.com>2014-03-09 08:49:46 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-03-12 12:42:49 -0500
commit9e546755c07c8ad0c3d8b3189a1ac6c9e029c587 (patch)
tree8dfa1959558360aa5553d7c9a599d04272c33037 /network/trojita
parentf7fae6d655eacea41c4d5329fb0d6dc481a6cff5 (diff)
downloadslackbuilds-9e546755c07c8ad0c3d8b3189a1ac6c9e029c587.tar.gz
slackbuilds-9e546755c07c8ad0c3d8b3189a1ac6c9e029c587.tar.xz
network/trojita: Added (Qt IMAP e-mail client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/trojita')
-rw-r--r--network/trojita/README7
-rw-r--r--network/trojita/doinst.sh9
-rw-r--r--network/trojita/slack-desc19
-rw-r--r--network/trojita/trojita.SlackBuild76
-rw-r--r--network/trojita/trojita.info10
5 files changed, 121 insertions, 0 deletions
diff --git a/network/trojita/README b/network/trojita/README
new file mode 100644
index 0000000000..bbd86b8afb
--- /dev/null
+++ b/network/trojita/README
@@ -0,0 +1,7 @@
+Enables you to access your mail anytime, anywhere.
+Does not slow you down. Respects open standards and facilitate modern
+technologies. Interoperable as possible.Is efficient be it at
+conserving the network bandwidth, keeping memory use at a reasonable
+level or not hogging the system's CPU. Can be used on many platforms.
+One UI is not enough for everyone, but our IMAP core works fine on
+anything from desktop computers to cell phones and big ERP systems.
diff --git a/network/trojita/doinst.sh b/network/trojita/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/network/trojita/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/trojita/slack-desc b/network/trojita/slack-desc
new file mode 100644
index 0000000000..0862d1aa83
--- /dev/null
+++ b/network/trojita/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+trojita: trojita (Qt IMAP e-mail client)
+trojita:
+trojita: Enables you to access your mail anytime, anywhere.
+trojita: Does not slow you down. Respects open standards and facilitate modern
+trojita: technologies. Interoperable as possible and efficient, be it at
+trojita: conserving the network bandwidth, keeping memory use at a reasonable
+trojita: level or not hogging the system's CPU. Can be used on many platforms.
+trojita:
+trojita:
+trojita:
+trojita:
diff --git a/network/trojita/trojita.SlackBuild b/network/trojita/trojita.SlackBuild
new file mode 100644
index 0000000000..4dce18830b
--- /dev/null
+++ b/network/trojita/trojita.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware build script for trojita
+
+# Written by Chris Farrell <timcowchip@gmail.com>
+
+PRGNAM=trojita
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ .
+make VERBOSE=1
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/trojita/trojita.info b/network/trojita/trojita.info
new file mode 100644
index 0000000000..54acc51fe2
--- /dev/null
+++ b/network/trojita/trojita.info
@@ -0,0 +1,10 @@
+PRGNAM="trojita"
+VERSION="0.4"
+HOMEPAGE="http://trojita.flaska.net/index.html"
+DOWNLOAD="http://sourceforge.net/projects/trojita/files/src/trojita-0.4.tar.bz2"
+MD5SUM="7bf2277ff0bda11a758d15c2ff831f8f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Chris Farrell"
+EMAIL="timcowchip@gmail.com"